Get service health panels
GET
https://example.com
/
api
/
monitoring
/
services
Get service health panels
curl --request GET \
--url https://example.com/api/monitoring/services \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://example.com/api/monitoring/services', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://example.com/api/monitoring/services"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://example.com/api/monitoring/services"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"buckets": [
{
"avg": 123,
"errors": 123,
"keyMs": 123,
"p50": 123,
"p95": 123,
"requests": 123
}
],
"dependencies": [
{
"calls": 123,
"name": "<string>",
"p50": 123,
"p95": 123,
"peers": [
"<string>"
],
"totalMillis": 123
}
],
"endpoints": [
{
"id": "<string>",
"name": "<string>",
"p50": 123,
"p95": 123,
"requests": 123,
"routeAvailable": true,
"service": "<string>",
"totalMillis": 123
}
],
"failingOperations": [
{
"errors": 123,
"name": "<string>"
}
],
"intervalSeconds": 123,
"latencyKeysMs": [
123
],
"serviceLatencies": [
{
"name": "<string>",
"p95": [
123
]
}
],
"serviceNames": [
"<string>"
],
"services": [
{
"errors": 123,
"name": "<string>",
"p50": 123,
"p95": 123,
"requests": 123
}
],
"servicesTruncated": true,
"summary": {
"errorSpans": 123,
"errors": 123,
"p50": 123,
"p95": 123,
"requests": 123
},
"telemetryStatus": "available"
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"statusCode": 123,
"details": [
{
"message": "<string>",
"path": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"statusCode": 123,
"details": [
{
"message": "<string>",
"path": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"statusCode": 123,
"details": [
{
"message": "<string>",
"path": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"statusCode": 123,
"details": [
{
"message": "<string>",
"path": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"statusCode": 123,
"details": [
{
"message": "<string>",
"path": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"statusCode": 123,
"details": [
{
"message": "<string>",
"path": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"statusCode": 123,
"details": [
{
"message": "<string>",
"path": "<string>"
}
]
}
}Authorizations
personalBearercookieAuth
Query API key (personal or service account)
Query Parameters
Required string length:
1 - 200Unix timestamp in seconds
Required range:
x >= 0Unix timestamp in seconds
Required range:
x >= 0Pattern:
^[1-9]\d*[smhd]$Required range:
1 <= x <= 100Response
Successful response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
available, span_store_missing ⌘I
Get service health panels
curl --request GET \
--url https://example.com/api/monitoring/services \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://example.com/api/monitoring/services', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://example.com/api/monitoring/services"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://example.com/api/monitoring/services"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"buckets": [
{
"avg": 123,
"errors": 123,
"keyMs": 123,
"p50": 123,
"p95": 123,
"requests": 123
}
],
"dependencies": [
{
"calls": 123,
"name": "<string>",
"p50": 123,
"p95": 123,
"peers": [
"<string>"
],
"totalMillis": 123
}
],
"endpoints": [
{
"id": "<string>",
"name": "<string>",
"p50": 123,
"p95": 123,
"requests": 123,
"routeAvailable": true,
"service": "<string>",
"totalMillis": 123
}
],
"failingOperations": [
{
"errors": 123,
"name": "<string>"
}
],
"intervalSeconds": 123,
"latencyKeysMs": [
123
],
"serviceLatencies": [
{
"name": "<string>",
"p95": [
123
]
}
],
"serviceNames": [
"<string>"
],
"services": [
{
"errors": 123,
"name": "<string>",
"p50": 123,
"p95": 123,
"requests": 123
}
],
"servicesTruncated": true,
"summary": {
"errorSpans": 123,
"errors": 123,
"p50": 123,
"p95": 123,
"requests": 123
},
"telemetryStatus": "available"
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"statusCode": 123,
"details": [
{
"message": "<string>",
"path": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"statusCode": 123,
"details": [
{
"message": "<string>",
"path": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"statusCode": 123,
"details": [
{
"message": "<string>",
"path": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"statusCode": 123,
"details": [
{
"message": "<string>",
"path": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"statusCode": 123,
"details": [
{
"message": "<string>",
"path": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"statusCode": 123,
"details": [
{
"message": "<string>",
"path": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"statusCode": 123,
"details": [
{
"message": "<string>",
"path": "<string>"
}
]
}
}
